### Method

# Foundry TextDocument find_symbol_at

since: 1.1

#### Declaration [src]

    DexFuture*
    foundry_text_document_find_symbol_at (
      FoundryTextDocument* self,
      guint line,
      guint line_offset
    )

#### Description [src]

Queries `FoundrySymbolProvider` for a symbol at the specified position in the document.

Available since: 1.1

#### Parameters

`line`

  Type: `guint`

  The line number (starting from 0).

`line_offset`

  Type: `guint`

  The character offset (starting from 0).

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `FoundrySymbol` or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.